<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ips__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ips_char_value_t</compoundname>
    <includes local="no">cy_ble_ips.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ips__char__value__t_1a79185213d4f2eb61a9590e45d42a3c40" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_ips_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="155" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ips__char__value__t_1a521626d9b1c7499153cee142a7273f88" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___i_p_s__definitions_1ga24e1ef010b88ea912185acd419b133b9">cy_en_ble_ips_char_index_t</ref></type>
        <definition>cy_en_ble_ips_char_index_t cy_stc_ble_ips_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ips__char__value__t_1a38a0c47217927952c2afd122333b84f5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_ips_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="157" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ips__char__value__t_1a2860ae1561a5f07af3c201fea490af63" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_ips_char_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>GATT error code for access control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="158" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="158" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>IPS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="921">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="920">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="919">
        <label>cy_stc_ble_ips_char_value_t</label>
        <link refid="structcy__stc__ble__ips__char__value__t" />
        <childnode refid="920" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="921" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="159" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="154" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ips__char__value__t_1a521626d9b1c7499153cee142a7273f88" virt="non-virtual"><scope>cy_stc_ble_ips_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ips__char__value__t_1a79185213d4f2eb61a9590e45d42a3c40" virt="non-virtual"><scope>cy_stc_ble_ips_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ips__char__value__t_1a2860ae1561a5f07af3c201fea490af63" virt="non-virtual"><scope>cy_stc_ble_ips_char_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__ips__char__value__t_1a38a0c47217927952c2afd122333b84f5" virt="non-virtual"><scope>cy_stc_ble_ips_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>